// start include version.h
#version 440 core
// end include version.h
// start include palette.h
// start include palette/buffer_index.h
const int palette_buffer_idx = 33;
// end include palette/buffer_index.h

uniform int rgba_size = 0;
uniform bool rgba_fixed = false;
layout (std430, binding=palette_buffer_idx) buffer rgba_buffer
{
  vec4 rgba_[];
};

// end include palette.h

in 
// start include ISOFILL1_GS.h
ISOFILL1_GS
{
  float fragmentColInd;
} isofill1_gs;
// end include ISOFILL1_GS.h

out vec4 color;

void main ()
{
  color = rgba_[int(round (isofill1_gs.fragmentColInd))];
}
