// start include version.h
#version 440 core
// end include version.h
// start include palette.h
// start include palette/buffer_index.h
const int palette_buffer_idx = 33;
// end include palette/buffer_index.h

uniform int rgba_size = 0;
uniform bool rgba_fixed = false;
layout (std430, binding=palette_buffer_idx) buffer rgba_buffer
{
  vec4 rgba_[];
};

// end include palette.h

flat in int rank;

out vec4 color;

uniform int rank2rgba[256];

void main ()
{
  color = rgba_[rank2rgba[rank]];
}

